> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Action Attempts

> Returns a list of the [action attempts](https://docs.seam.co/core-concepts/action-attempts) that you specify as an array of `action_attempt_id`s.



## OpenAPI

````yaml /openapi.json post /action_attempts/list
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /action_attempts/list:
    post:
      tags:
        - /action_attempts
      summary: List Action Attempts
      description: >-
        Returns a list of the [action
        attempts](https://docs.seam.co/core-concepts/action-attempts) that you
        specify as an array of `action_attempt_id`s.
      operationId: actionAttemptsListPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                action_attempt_ids:
                  description: IDs of the action attempts that you want to retrieve.
                  items:
                    format: uuid
                    type: string
                  type: array
                device_id:
                  description: ID of the device to filter action attempts by.
                  format: uuid
                  type: string
                limit:
                  default: 500
                  description: Maximum number of records to return per page.
                  exclusiveMinimum: true
                  minimum: 0
                  type: integer
                page_cursor:
                  description: >-
                    Identifies the specific page of results to return, obtained
                    from the previous page's `next_page_cursor`.
                  nullable: true
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempts:
                    items:
                      $ref: '#/components/schemas/action_attempt'
                    type: array
                  ok:
                    type: boolean
                  pagination:
                    $ref: '#/components/schemas/pagination'
                required:
                  - action_attempts
                  - pagination
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.actionAttempts.list({
              action_attempt_ids: [
                "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
              ],
            });

            /*
            [
              {
                "action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                "action_type": "UNLOCK_DOOR",
                "error": null,
                "result": {
                  "was_confirmed_by_device": false
                },
                "status": "success"
              },
              {
                "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                "action_type": "LOCK_DOOR",
                "error": null,
                "result": {},
                "status": "success"
              }
            ]
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/action_attempts/list" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "action_attempt_ids": [
                "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f"
              ]
            }

            EOF


            # Response:

            # {

            #   "action_attempts": [

            #     {

            #       "action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",

            #       "action_type": "UNLOCK_DOOR",

            #       "error": null,

            #       "result": {

            #         "was_confirmed_by_device": false

            #       },

            #       "status": "success"

            #     },

            #     {

            #       "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",

            #       "action_type": "LOCK_DOOR",

            #       "error": null,

            #       "result": {},

            #       "status": "success"

            #     }

            #   ]

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.action_attempts.list(
                action_attempt_ids=[
                    "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                    "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                ]
            )

            # [
                ActionAttempt(
                    action_attempt_id="5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                    action_type="UNLOCK_DOOR",
                    error=None,
                    result={"was_confirmed_by_device": false},
                    status="success",
                ),
                ActionAttempt(
                    action_attempt_id="3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                    action_type="LOCK_DOOR",
                    error=None,
                    result={},
                    status="success",
                ),
            ]
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.action_attempts.list(
              action_attempt_ids: %w[5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f 3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f],
            )

            # => [
              {
                "action_attempt_id" => "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                "action_type" => "UNLOCK_DOOR",
                "error" => nil,
                "result" => {
                  was_confirmed_by_device: false,
                },
                "status" => "success",
              },
              {
                "action_attempt_id" => "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                "action_type" => "LOCK_DOOR",
                "error" => nil,
                "result" => {
                },
                "status" => "success",
              },
            ]
        - lang: php
          label: Seam SDK
          source: |-
            $seam->action_attempts->list(
                action_attempt_ids: [
                    "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                    "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                ],
            );

            // [
                [
                    "action_attempt_id" => "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
                    "action_type" => "UNLOCK_DOOR",
                    "error" => null,
                    "result" => ["was_confirmed_by_device" => false],
                    "status" => "success",
                ],
                [
                    "action_attempt_id" => "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
                    "action_type" => "LOCK_DOOR",
                    "error" => null,
                    "result" => [],
                    "status" => "success",
                ],
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam action-attempts list --action_attempt_ids
            ["5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f","3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f"]


            # [

            #   {

            #     "action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",

            #     "action_type": "UNLOCK_DOOR",

            #     "error": null,

            #     "result": {

            #       "was_confirmed_by_device": false

            #     },

            #     "status": "success"

            #   },

            #   {

            #     "action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",

            #     "action_type": "LOCK_DOOR",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # ]
components:
  schemas:
    action_attempt:
      description: >-
        Represents an asynchronous action. Poll until status is success or
        error.
      x-route-path: /action_attempts
      type: object
      properties:
        action_attempt_id:
          type: string
          format: uuid
          description: ID of the action attempt.
        action_type:
          type: string
          description: Type of action being tracked.
        status:
          type: string
          enum:
            - pending
            - success
            - error
          description: Current status of the action.
        result:
          type: object
          nullable: true
          description: Result payload on success.
        error:
          type: object
          nullable: true
          description: Error details on failure.
          properties:
            type:
              type: string
            message:
              type: string
      required:
        - action_attempt_id
        - action_type
        - status
    pagination:
      description: Information about the current page of results.
      properties:
        has_next_page:
          description: Indicates whether there is another page of results after this one.
          type: boolean
        next_page_cursor:
          description: >-
            Opaque value that can be used to select the next page of results via
            the `page_cursor` parameter.
          nullable: true
          type: string
        next_page_url:
          description: URL to get the next page of results.
          format: uri
          nullable: true
          type: string
      required:
        - next_page_cursor
        - has_next_page
        - next_page_url
      type: object
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````